Browse Source

Update requirements

This commit updates requirements for syncing to the global requirements.

Change-Id: I99ddea7e8a2b84a77437fabb6ea7f27a4fe56334
changes/32/460432/1
Masayuki Igawa 4 years ago
parent
commit
5e1d6b93b0
No known key found for this signature in database GPG Key ID: 16B4FEFF8D4F44B8
3 changed files with 21 additions and 21 deletions
  1. +6
    -6
      requirements.txt
  2. +1
    -1
      setup.py
  3. +14
    -14
      test-requirements.txt

+ 6
- 6
requirements.txt View File

@ -2,9 +2,9 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6
SQLAlchemy>=0.8.2
alembic>=0.4.1
oslo.config>=1.4.0.0a3
coverage>=4.3
xmltodict>=0.10.1 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
oslo.config>=3.22.0 # Apache-2.0
coverage>=4.0 # Apache-2.0
xmltodict>=0.10.1 # MIT

+ 1
- 1
setup.py View File

@ -25,5 +25,5 @@ except ImportError:
pass
setuptools.setup(
setup_requires=['pbr'],
setup_requires=['pbr>=2.0.0'],
pbr=True)

+ 14
- 14
test-requirements.txt View File

@ -4,18 +4,18 @@
hacking<0.11,>=0.10.0
docutils>=0.11 # OSI-Approved Open Source, Public Domain
fixtures>=0.3.14
python-subunit>=0.0.18
sphinx>=1.5.1
oslosphinx>=2.5.0 # Apache-2.0
docutils>=0.11 # OSI-Approved Open Source, Public Domain
fixtures>=3.0.0 # Apache-2.0/BSD
python-subunit>=0.0.18 # Apache-2.0/BSD
sphinx>=1.5.1 # BSD
oslosphinx>=4.7.0 # Apache-2.0
oslotest>=1.10.0 # Apache-2.0
testrepository>=0.0.18
testscenarios>=0.4
testtools>=1.4.0
PyMySql
psycopg2
os-testr
reno>=0.1.1 # Apache2
oslo.concurrency>=3.5.0
six>=1.5.2
testrepository>=0.0.18 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
testtools>=1.4.0 # MIT
PyMySQL>=0.7.6 # MIT License
psycopg2>=2.5 # LGPL/ZPL
os-testr>=0.8.0 # Apache-2.0
reno>=1.8.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
six>=1.9.0 # MIT

Loading…
Cancel
Save